Package org.opensaml.xmlsec.impl

# Class BasicDecryptionConfiguration

java.lang.Object
org.opensaml.xmlsec.impl.BasicAlgorithmPolicyConfiguration
org.opensaml.xmlsec.impl.BasicDecryptionConfiguration

All Implemented Interfaces:
  `AlgorithmPolicyConfiguration`, `DecryptionConfiguration`

public class BasicDecryptionConfiguration extends BasicAlgorithmPolicyConfiguration implements DecryptionConfiguration
Basic implementation of `DecryptionConfiguration`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`AlgorithmPolicyConfiguration.Precedence`

## Field Summary

Fields
Modifier and Type
Field
Description
`private KeyInfoCredentialResolver`
`dataKeyInfoCredentialResolver`
The EncryptedData's KeyInfo credential resolver.
`private EncryptedKeyResolver`
`encryptedKeyResolver`
The EncryptedKey resolver.
`private KeyInfoCredentialResolver`
`kekKeyInfoCredentialResolver`
The EncryptedKey's KeyInfo credential resolver.
`private Set<String>`
`recipients`
The set of recipients against which to evaluate candidate EncryptedKey elements.

### Fields inherited from class org.opensaml.xmlsec.impl.BasicAlgorithmPolicyConfiguration

`DEFAULT_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`BasicDecryptionConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`KeyInfoCredentialResolver`
`getDataKeyInfoCredentialResolver()`
Get the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`EncryptedKeyResolver`
`getEncryptedKeyResolver()`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.
`KeyInfoCredentialResolver`
`getKEKKeyInfoCredentialResolver()`
Get the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).
`Set<String>`
`getRecipients()`
Get the set of recipients against which to evaluate candidate EncryptedKey elements.
`BasicDecryptionConfiguration`
`setDataKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.
`BasicDecryptionConfiguration`
`setEncryptedKeyResolver(EncryptedKeyResolver resolver)`
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.
`BasicDecryptionConfiguration`
`setKEKKeyInfoCredentialResolver(KeyInfoCredentialResolver resolver)`
Set the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).
`void`
`setRecipients(Set<String> newRecipients)`
Set the set of recipients against which to evaluate candidate EncryptedKey elements.

### Methods inherited from class org.opensaml.xmlsec.impl.BasicAlgorithmPolicyConfiguration

`getExcludedAlgorithms, getIncludedAlgorithms, getIncludeExcludePrecedence, isExcludeMerge, isIncludeMerge, setExcludedAlgorithms, setExcludeMerge, setIncludedAlgorithms, setIncludeExcludePrecedence, setIncludeMerge`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.AlgorithmPolicyConfiguration

`getExcludedAlgorithms, getIncludedAlgorithms, getIncludeExcludePrecedence, isExcludeMerge, isIncludeMerge`

## Field Details

### dataKeyInfoCredentialResolver

@Nullable private KeyInfoCredentialResolver dataKeyInfoCredentialResolver
The EncryptedData's KeyInfo credential resolver.

### kekKeyInfoCredentialResolver

@Nullable private KeyInfoCredentialResolver kekKeyInfoCredentialResolver
The EncryptedKey's KeyInfo credential resolver.

### encryptedKeyResolver

@Nullable private EncryptedKeyResolver encryptedKeyResolver
The EncryptedKey resolver.

### recipients

@Nullable private Set<String> recipients
The set of recipients against which to evaluate candidate EncryptedKey elements.

## Constructor Details

### BasicDecryptionConfiguration

public BasicDecryptionConfiguration()

## Method Details

### getDataKeyInfoCredentialResolver

@Nullable public KeyInfoCredentialResolver getDataKeyInfoCredentialResolver()
Get the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.

Specified by:
  `getDataKeyInfoCredentialResolver` in interface `DecryptionConfiguration`
Returns:
  the KeyInfoCredentialResolver instance

### setDataKeyInfoCredentialResolver

@Nonnull public BasicDecryptionConfiguration setDataKeyInfoCredentialResolver(@Nullable KeyInfoCredentialResolver resolver)
Set the KeyInfoCredentialResolver to use when processing the EncryptedData/KeyInfo.

Parameters:
  `resolver` - the KeyInfoCredentialResolver instance
Returns:
  this object

### getKEKKeyInfoCredentialResolver

@Nullable public KeyInfoCredentialResolver getKEKKeyInfoCredentialResolver()
Get the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).

Specified by:
  `getKEKKeyInfoCredentialResolver` in interface `DecryptionConfiguration`
Returns:
  the KeyInfoCredentialResolver instance

### setKEKKeyInfoCredentialResolver

@Nonnull public BasicDecryptionConfiguration setKEKKeyInfoCredentialResolver(@Nullable KeyInfoCredentialResolver resolver)
Set the KeyInfoCredentialResolver to use when processing the EncryptedKey/KeyInfo (the Key Encryption Key or KEK).

Parameters:
  `resolver` - the KeyInfoCredentialResolver instance
Returns:
  this object

### getEncryptedKeyResolver

@Nullable public EncryptedKeyResolver getEncryptedKeyResolver()
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.

Specified by:
  `getEncryptedKeyResolver` in interface `DecryptionConfiguration`
Returns:
  the EncryptedKeyResolver instance

### setEncryptedKeyResolver

@Nonnull public BasicDecryptionConfiguration setEncryptedKeyResolver(@Nullable EncryptedKeyResolver resolver)
Get the EncryptedKeyResolver to use when resolving the EncryptedKey(s) to process.

Parameters:
  `resolver` - the EncryptedKeyResolver instance
Returns:
  this object

### getRecipients

@Nullable public Set<String> getRecipients()
Get the set of recipients against which to evaluate candidate EncryptedKey elements.

Specified by:
  `getRecipients` in interface `DecryptionConfiguration`
Returns:
  the recipients

### setRecipients

public void setRecipients(@Nullable Set<String> newRecipients)
Set the set of recipients against which to evaluate candidate EncryptedKey elements.

Parameters:
  `newRecipients` - the recipients